Championship Manager - Feature #227

Add practice results to ZRound results site
04/19/2024 04:43 PM - Jesus M. Brocefio

Status: New Start date: 04/19/2024
Priority: Normal Due date:

Assignee: Jesus M. Brocefio % Done: 0%
Category: Reports Estimated time: 0:00 hour
Target version: 1.27.1

Description

TO-DO:

* Implement login page and ADMIN_TRACK role to allow track managers delete uploaded data. DONE

e Implement disk quota control

o]

Add data_size attribute to user record. DONE

o O O

records

Add MB size usage per user to user->Info() and user->List APl. DONE

Update data_size on every upload/delete object APIl. DONE
Migrate data_size at installation time to set the initial value. Create curl script to update userinfo from zr_user existing

curl --location 'https://dev-results.zround.com/api/api.php?rquest=user/info&user=USER_ID’
¢ Implement object practice and API. Using SQL instead of JSON could be convenient for sorting/filtering/comparing practice

results.

¢ Add to track landing page the user's practice data and a search box.

History

#1 - 05/02/2024 12:35 AM - Jesus M. Broceio

- Project changed from ZRound Suite to Championship Manager

- Category changed from Reports to Reports

#2 - 05/02/2024 12:36 AM - Jesus M. Broceio

- Description updated

#4 - 05/05/2024 08:05 AM - Jesus M. Broceio

- Description updated

#5 - 05/05/2024 10:21 PM - Jesus M. Broceiio

- Description updated

#6 - 05/05/2024 10:25 PM - Jesus M. Brocefio

- Description updated
